tbb::flow::interface11::opencl_factory< DeviceFilter >::finalize_fn Struct Reference
Inheritance diagram for tbb::flow::interface11::opencl_factory< DeviceFilter >::finalize_fn:
Collaboration diagram for tbb::flow::interface11::opencl_factory< DeviceFilter >::finalize_fn:

## Public Member Functions

virtual | ~finalize_fn ()
virtual void | operator() ()
Public Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename DeviceFilter>
struct tbb::flow::interface11::opencl_factory< DeviceFilter >::finalize_fn

Definition at line 1039 of file flow_graph_opencl_node.h.

## Constructor & Destructor Documentation

## ~finalize_fn()

template<typename DeviceFilter >

virtual tbb::flow::interface11::opencl_factory< DeviceFilter >::finalize_fn::~finalize_fn | ( |  | ) |

inline virtual

Definition at line 1040 of file flow_graph_opencl_node.h.

{}

## Member Function Documentation

## operator()()

template<typename DeviceFilter >

virtual void tbb::flow::interface11::opencl_factory< DeviceFilter >::finalize_fn::operator() | ( |  | ) |

inline virtual

Reimplemented in tbb::flow::interface11::opencl_factory< DeviceFilter >::finalize_fn_leaf< Fn >.

Definition at line 1041 of file flow_graph_opencl_node.h.

{}

The documentation for this struct was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.